import java.io.*;
import java.util.*;

public class mian {
    String fileName = "video";
    
    public void solve() throws IOException {
        int n = nextInt();
        int[] a = new int[n];
        a[0] = 1;
        int cur = 1;
        for (int i = 1; i < n; i++){
        	out.println("? " + 1 + " " + (i + 1));
        	out.flush();
        	int t = nextInt();
        	if (t > cur){
        		a[i] = cur + 1;
        		cur++;
        	}else{
        		int u = 1;
        		HashSet<Integer> h = new HashSet<Integer>();
        		for (int j = i - 1; j >= 0; j++){
        			if (! h.contains(a[j])){
        				out.println("? " + (j + 1) +  " " + (i + 1));
            			out.flush();
            			int r = nextInt();
            			if (r == u){
            				a[i] = a[j];
            				break;
            			}else{
            				u = r;
            			}
        			}
        		}
        	}
        }
        out.println("Ready!");
        for(int i = 0; i < n; i++){
        	out.print(a[i] + " ");
        }
        out.flush();
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in)); 
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new mian().run();
    }

}